Package org.opensaml.saml.saml2.core

# Interface StatusCode

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusCodeImpl`

public interface StatusCode extends SAMLObject
SAML 2.0 Core StatusCode.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHN_FAILED`
URI for AuthnFailed status code.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local Name of StatusCode.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`INVALID_ATTR_NAME_OR_VALUE`
URI for InvalidAttrNameOrValue status code.
`static final String`
`INVALID_NAMEID_POLICY`
URI for InvalidNameIDPolicy status code.
`static final String`
`NO_AUTHN_CONTEXT`
URI for NoAuthnContext status code.
`static final String`
`NO_AVAILABLE_IDP`
URI for NoAvailableIDP status code.
`static final String`
`NO_PASSIVE`
URI for NoPassive status code.
`static final String`
`NO_SUPPORTED_IDP`
URI for NoSupportedIDP status code.
`static final String`
`PARTIAL_LOGOUT`
URI for PartialLogout status code.
`static final String`
`PROXY_COUNT_EXCEEDED`
URI for ProxyCountExceeded status code.
`static final String`
`REQUEST_DENIED`
URI for RequestDenied status code.
`static final String`
`REQUEST_UNSUPPORTED`
URI for RequestUnsupported status code.
`static final String`
`REQUEST_VERSION_DEPRECATED`
URI for RequestVersionDeprecated status code.
`static final String`
`REQUEST_VERSION_TOO_HIGH`
URI for RequestVersionTooHigh status code.
`static final String`
`REQUEST_VERSION_TOO_LOW`
URI for RequestVersionTooLow status code.
`static final String`
`REQUESTER`
URI for Requester status code.
`static final String`
`RESOURCE_NOT_RECOGNIZED`
URI for ResourceNotRecognized status code.
`static final String`
`RESPONDER`
URI for Responder status code.
`static final String`
`SUCCESS`
URI for Success status code.
`static final String`
`TOO_MANY_RESPONSES`
URI for TooManyResponses status code.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNKNOWN_ATTR_PROFILE`
URI for UnknownAttrProfile status code.
`static final String`
`UNKNOWN_PRINCIPAL`
URI for UnknownPrincipal status code.
`static final String`
`UNSUPPORTED_BINDING`
URI for UnsupportedBinding status code.
`static final String`
`VALUE_ATTRIB_NAME`
Local Name of the Value attribute.
`static final String`
`VERSION_MISMATCH`
URI for VersionMismatch status code.

## Method Summary

Modifier and Type
Method
Description
`StatusCode`
`getStatusCode()`
Gets the Status Code of this Status Code.
`String`
`getValue()`
Gets the Value of this Status Code.
`void`
`setStatusCode(StatusCode newStatusCode)`
Sets the Status Code of this Status Code.
`void`
`setValue(String newValue)`
Sets the Value of this Status Code.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local Name of StatusCode.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### VALUE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_ATTRIB_NAME
Local Name of the Value attribute.

See Also:
  - Constant Field Values

### SUCCESS

@Nonnull @NotEmpty static final String SUCCESS
URI for Success status code.

See Also:
  - Constant Field Values

### REQUESTER

@Nonnull @NotEmpty static final String REQUESTER
URI for Requester status code.

See Also:
  - Constant Field Values

### RESPONDER

@Nonnull @NotEmpty static final String RESPONDER
URI for Responder status code.

See Also:
  - Constant Field Values

### VERSION_MISMATCH

@Nonnull @NotEmpty static final String VERSION_MISMATCH
URI for VersionMismatch status code.

See Also:
  - Constant Field Values

### AUTHN_FAILED

@Nonnull @NotEmpty static final String AUTHN_FAILED
URI for AuthnFailed status code.

See Also:
  - Constant Field Values

### INVALID_ATTR_NAME_OR_VALUE

@Nonnull @NotEmpty static final String INVALID_ATTR_NAME_OR_VALUE
URI for InvalidAttrNameOrValue status code.

See Also:
  - Constant Field Values

### INVALID_NAMEID_POLICY

@Nonnull @NotEmpty static final String INVALID_NAMEID_POLICY
URI for InvalidNameIDPolicy status code.

See Also:
  - Constant Field Values

### NO_AUTHN_CONTEXT

@Nonnull @NotEmpty static final String NO_AUTHN_CONTEXT
URI for NoAuthnContext status code.

See Also:
  - Constant Field Values

### NO_AVAILABLE_IDP

@Nonnull @NotEmpty static final String NO_AVAILABLE_IDP
URI for NoAvailableIDP status code.

See Also:
  - Constant Field Values

### NO_PASSIVE

@Nonnull @NotEmpty static final String NO_PASSIVE
URI for NoPassive status code.

See Also:
  - Constant Field Values

### NO_SUPPORTED_IDP

@Nonnull @NotEmpty static final String NO_SUPPORTED_IDP
URI for NoSupportedIDP status code.

See Also:
  - Constant Field Values

### PARTIAL_LOGOUT

@Nonnull @NotEmpty static final String PARTIAL_LOGOUT
URI for PartialLogout status code.

See Also:
  - Constant Field Values

### PROXY_COUNT_EXCEEDED

@Nonnull @NotEmpty static final String PROXY_COUNT_EXCEEDED
URI for ProxyCountExceeded status code.

See Also:
  - Constant Field Values

### REQUEST_DENIED

@Nonnull @NotEmpty static final String REQUEST_DENIED
URI for RequestDenied status code.

See Also:
  - Constant Field Values

### REQUEST_UNSUPPORTED

@Nonnull @NotEmpty static final String REQUEST_UNSUPPORTED
URI for RequestUnsupported status code.

See Also:
  - Constant Field Values

### REQUEST_VERSION_DEPRECATED

@Nonnull @NotEmpty static final String REQUEST_VERSION_DEPRECATED
URI for RequestVersionDeprecated status code.

See Also:
  - Constant Field Values

### REQUEST_VERSION_TOO_HIGH

@Nonnull @NotEmpty static final String REQUEST_VERSION_TOO_HIGH
URI for RequestVersionTooHigh status code.

See Also:
  - Constant Field Values

### REQUEST_VERSION_TOO_LOW

@Nonnull @NotEmpty static final String REQUEST_VERSION_TOO_LOW
URI for RequestVersionTooLow status code.

See Also:
  - Constant Field Values

### RESOURCE_NOT_RECOGNIZED

@Nonnull @NotEmpty static final String RESOURCE_NOT_RECOGNIZED
URI for ResourceNotRecognized status code.

See Also:
  - Constant Field Values

### TOO_MANY_RESPONSES

@Nonnull @NotEmpty static final String TOO_MANY_RESPONSES
URI for TooManyResponses status code.

See Also:
  - Constant Field Values

### UNKNOWN_ATTR_PROFILE

@Nonnull @NotEmpty static final String UNKNOWN_ATTR_PROFILE
URI for UnknownAttrProfile status code.

See Also:
  - Constant Field Values

### UNKNOWN_PRINCIPAL

@Nonnull @NotEmpty static final String UNKNOWN_PRINCIPAL
URI for UnknownPrincipal status code.

See Also:
  - Constant Field Values

### UNSUPPORTED_BINDING

@Nonnull @NotEmpty static final String UNSUPPORTED_BINDING
URI for UnsupportedBinding status code.

See Also:
  - Constant Field Values

## Method Details

### getStatusCode

@Nullable StatusCode getStatusCode()
Gets the Status Code of this Status Code.

Returns:
  StatusCode StatusCode

### setStatusCode

void setStatusCode(@Nullable StatusCode newStatusCode)
Sets the Status Code of this Status Code.

Parameters:
  `newStatusCode` - the Status Code of this Status Code.

### getValue

@Nullable String getValue()
Gets the Value of this Status Code.

Returns:
  StatusCode Value

### setValue

void setValue(@Nullable String newValue)
Sets the Value of this Status Code.

Parameters:
  `newValue` - the Value of this Status Code